package com.diagbot.vo;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import com.diagbot.dto.InquiryDetailDTO;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@Getter
@Setter
public class SaveInquiryVO {
	
	/**
     * 医院id
     */
	@NotBlank(message="医院id必传")
    private Long hospitalId;

    /**
     * 科室id
     */
	@NotBlank(message="科室id必传")
    private Long hospitalDeptId;

    /**
     * 医生id
     */
	@NotBlank(message="医生id必传")
    private Long doctorId;

    /**
     * 患者id
     */
	@NotBlank(message="患者id必传")
    private Long patientId;

    /**
     * 就诊序列号
     */
	@NotBlank(message="就诊序列号必传")
    private String inquiryCode;

    /**
     * 就诊状态（0待接诊，1接诊中，2完成接诊）
     */
    private Integer regVisitedState=1;

    /**
     * 分类(1:门诊,2:住院)
     */
    private Integer type=1;

    /**
     * 诊断
     */
    @NotBlank(message="诊断必传")
    private String diagnose;

    /**
     * 类型：1：结构化 2：文本模式
     */
    private Integer sign=1;

    /**
     * 内容JSON字符串
     */
    @NotBlank(message="内容JSON字符串必传")
    private String dataJson;
    
    @Valid
    @NotEmpty
    private List<InquiryDetailDTO> detailList;
   
}
